Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciStatement

All Known Subinterfaces:
  SciCaseStatement, SciCatchBlockStatement, SciCompoundStatement, SciDeclarationStatement, SciExpressionStatement, SciIfStatement, SciLoopStatement, SciReturnStatement, SciSwitchStatement, SciThrowStatement, SciTryStatement

public interface SciStatement
extends SciObject

Author:
  TogetherSoft

Method Summary
`Object` | `accept(SciStatementVisitor visitor)`
`SciCodeBlock` | `getContainingBlock()`
`int` | `getKind()`
`void` | `visitExpressions(SciExpressionVisitor visitor)`
`void` | `visitExpressions(SciExpressionVisitor visitor, int expressionKind)`
`void` | `visitReferences(SciReferenceVisitor visitor)`
`void` | `visitReferences(SciReferenceVisitor visitor, SciElement referencedElement)`

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Method Detail

### accept

    public Object accept(SciStatementVisitor visitor)

### getContainingBlock

    public SciCodeBlock getContainingBlock()

### getKind

    public int getKind()

  Returns: one of constants defined in SciStatementKind

### visitExpressions

    public void visitExpressions(SciExpressionVisitor visitor)

### visitExpressions

    public void visitExpressions(SciExpressionVisitor visitor, int expressionKind)

### visitReferences

    public void visitReferences(SciReferenceVisitor visitor)

### visitReferences

    public void visitReferences(SciReferenceVisitor visitor, SciElement referencedElement)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD